2015-8-19 Simon Fraser <simon.fraser@apple.com>
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=26588: fix grammar for transform-origin.
    https://lists.w3.org/Archives/Public/www-style/2015Apr/0094.html: update perspective-origin to use <position>, and fix the definition list.
    Add a couple of issues from Bugzilla and www-style.

2015-7-15 Simon Fraser <simon.fraser@apple.com>
    Move images into an images folder.

2015-1-29 Simon Fraser <simon.fraser@apple.com>
    Note that transform-style: preserve-3d creates stacking context and containing block.
    
2014-10-31 Dirk Schulze <dschulze@adobe.com>
    Introduce 'transform-box' property to specify the reference
    boxes: 'border-box', 'fill-box' and 'view-box'.

2014-10-25 Simon Fraser <simon.fraser@apple.com>
    Terminate an anchor, and remove an incorrect statement about 3D rendering context membership.

2014-10-25 Simon Fraser <simon.fraser@apple.com>
    Made "Grouping property values" into a section so that it can be linked from elsewhere.
    Added a "card flip" example for background-visibility
    Rewrote the "Accumulated 3D Transformation Matrix Computation" section.
    Other minor tweaks.

2014-10-24 Simon Fraser <simon.fraser@apple.com>
    Rewrite the "Transform Rendering Model" section with a more precise description of the model. Substantive changes include a new 'auto' value for transform-style, the concept of a "3D-rendering context" (akin to CSS stacking context), and a better description of the rendering order.

2014-10-24 Simon Fraser <simon.fraser@apple.com>
    Move the section about perspective rendering closer to the mathematical description.

2014-10-24 Simon Fraser <simon.fraser@apple.com>
    Convert Issues into bikeshed-friendly format, and remove some <p>.

2014-10-21 Simon Fraser <simon.fraser@apple.com>
    Regenerate Overview.html. No text changes.

2014-05-28 Dirk Schulze <dschulze@adobe.com>
    Do not allow optional whitespace between the name of the
    function and the left parenthesis.

2014-05-26 Dirk Schulze <dschulze@adobe.com>
    Replace <translation-value> with <length>.

2014-03-24 Dirk Schulze <dschulze@adobe.com>
    Fixed typo for translateY() transform function.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=25134

2014-02-01 Dirk Schulze <dschulze@adobe.com>
    Extend definition for user space on use and export it.

2014-01-26 Simon Fraser <simon.fraser@apple.com>
    Provide an anchor for attributeName to keep bikeshed happy.

2014-01-25 Simon Fraser <simon.fraser@apple.com>
    mask-box-image-source -> mask-box-source
    
2014-01-25 Simon Fraser <simon.fraser@apple.com>
    Change to note that transforms do affect getClientRects() and 
    getBoundingClientRect(), and add a paragraph to the Module Interactions
    section about this.
    
    Also change wording of the note on transforms not affecting layout,
    to note that they do affect overflow.

2013-10-15  Dirk Schulze  <dschulze@adobe.com>
    Transforms do not affect Element Interface extensions.
    Perspective do not affect SVG object bounding box.

2013-10-10  Dirk Schulze  <dschulze@adobe.com>
    Add 2D matrix interpolation algorithms.

2013-10-10  Dirk Schulze  <dschulze@adobe.com>
    Differ between 2D and 3D matrix decomposing.
    Add definitions for a 2D matrix and a 3D matrix.
    Decomposing code for 2D will be added with ono of
    the next commits.

2013-10-07  Dirk Schulze  <dschulze@adobe.com>
    Used value of 'isolate' on 'isolation' property causes flattening.

2013-07-04  Dirk Schulze  <dschulze@adobe.com>
    Setting opacity does not cause flattening.

2013-06-29  Dirk Schulze  <dschulze@adobe.com>
    Clarify flatten behavior on SVG resources.
    Add more properties that cause flattening.

2013-06-16  Simon Fraser  <simon.fraser@apple.com>
    Add an ISSUE to fix some non-normative text related to background-visibility.
    Add an ISSUE for an example that doesn't match WebKit rendering.
    Tidy up some note text about transform interpolation.

2013-05-20  Dirk Schulze  <dschulze@adobe.com>
    Add note about module interaction with CSSOM-VIEW.

2013-04-06  Dirk Schulze  <dschulze@adobe.com>
    Experimental change of element style.

2013-04-05  Dirk Schulze  <dschulze@adobe.com>
    Reference SVG elements directly.

2013-03-26  Dirk Schulze  <dschulze@adobe.com>
    Relax syntax of transform-origin/perspective-origin properties.

2013-03-25  Dirk Schulze  <dschulze@adobe.com>
    Fix syntax of transform-origin/perspective-origin properties.

2013-03-11  Dirk Schulze  <dschulze@adobe.com>
    Add conformance section.

2012-11-13 dschulze@adobe.com
    Add definitions for keywords on 'transform-origin' and 'perspective-origin'.

2012-11-05 dschulze@adobe.com
    Clarify multiplication order.

2012-10-26 dschulze@adobe.com
    Percentage values on transform properties are relative to the bounding box of the referencing element on resources.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=19638

2012-10-21 dschulze@adobe.com
    Define that translation units on matrices are in CSS pixel in the current coordinate system.

2012-10-19 dschulze@adobe.com
    Fixed typo.

2012-10-19 dschulze@adobe.com
    Computed value of 'background-attachment' and 'transform-style' is not affected under certain conditions.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=17521

2012-10-19 dschulze@adobe.com
    Fixed typo.

2012-10-19 dschulze@adobe.com
    Correction on transformable elements definition.
    Remove all uses of 'In HTML namespace'.

2012-10-19 dschulze@adobe.com
    Make sure that we have bug reports for every issue in the spec.

2012-10-18 dschulze@adobe.com
    Remove 'mask' from the transformable elements.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=18484

2012-10-18 dschulze@adobe.com
    Remove comments from spec and open bug reports instead.

2012-10-18 dschulze@adobe.com
    Fix typo in pseudo code.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=18961

2012-08-29 dschulze@adobe.com
    Added skew() again for compatibility with legacy content.

2012-08-29 dschulze@adobe.com
    Allow numerical interpolation on rotate3d, when normalized direction vectors are equal.

2012-08-16 dschulze@adobe.com
    Added issue to interpolation of rotate3d.
    Corrected typo.

2012-08-9 dschulze@adobe.com
    Simplify transform interpolation upon request of CSS WG.
    rotate3d still gets decomposed as 4x4matrix for now.

2012-07-27 dschulze@adobe.com
    Markup clean up.

2012-07-26 dschulze@adobe.com
    Transform lists get no longer premultiplied if some functions in the list
    are of type 'matrix', 'rotate3d', 'rotateX', 'rotateY', 'rotateZ', 'matrix3d'
    and ‘perspective’. 
    Instead 'rotateX', 'rotateY' and 'rotateZ' get interpolated numerically and
    'matrix', 'rotate3d' and ‘perspective’ get converted to matrix4x4 and
    interpolated as matrices. 

2012-07-20 dschulze@adobe.com
    Changed behavior for transforms on patterns, gradients and other resources.
    The user space for transformations does not depend on the ‘patternUnit’,
    ‘gradientUnit’ and ‘maskUnit’ attributes. Theses attributes just affect 'x',
    'y', 'width' and 'height'.
    Added an issue if percentage should be dependent on viewport or the bounding
    box of the referencing object.

2012-07-12 simon.fraser@apple.com
    Fix https://www.w3.org/Bugs/Public/show_bug.cgi?id=17431 by making the wording
    about the rendering effects of 3D transforms not CSS-specific.

2012-07-12 simon.fraser@apple.com
    Move Chris Marrin and Dave Hyatt to Former Editors (with their approval).
    Fix https://www.w3.org/Bugs/Public/show_bug.cgi?id=17521, adding text about treatment
    of background-attachment: fixed on elements affected by transforms.
    Made the paragraph about fixed backgrounds on a transformed root a note, since it's
    explanatory.

2012-06-12 ayg@aryeh.name
    Typo/grammar fix

2012-06-05 dschulze@adobe.com
    Modify graphic of initial coordinate system.

2012-06-05 dschulze@adobe.com
    Add a graphic that demonstrates initial coordinate system (instead of referencing SVG).

2012-06-04 dschulze@adobe.com
    Remove reference to coordinate space description from SVG 1.1. The paragraph before is the equivalent to this section.

2012-06-04 dschulze@adobe.com
    Back ported definition for CTM and local coordinate system from SVG 1.1.
    More cleanup on term referencing.

2012-06-01 dschulze@adobe.com
    More corrections on the SVG animation part.

2012-05-31 dschulze@adobe.com
    Define additive behavior for transform-list on 'animate'.
    Disallow 'paced' animations for now.
    Corrected some style errors.

2012-05-29 dschulze@adobe.com
    Clarify that objects with non-invertible CTM don't get displayed.

2012-05-29 dschulze@adobe.com
    'non-scaling-stroke' has no affect on stroking within a 3D rendering context.

2012-05-29 dschulze@adobe.com
    Remove 'animateTransform' description from spec, like discussed on public-fx.
    http://lists.w3.org/Archives/Public/public-fx/2012AprJun/0137.html

2012-05-29 dschulze@adobe.com
    Clarify behavior on matrix interpolation on non-invertible matrices.

2012-05-28 dschulze@adobe.com
    Add note about side effects on converting transform functions to matrix. 

2012-05-28 ayg@aryeh.name
    Define how exactly to apply perspective (w-parameter)
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15605

2012-05-26 dschulze@adobe.com
    Define neutral element for addition on transforms.

2012-05-25 dschulze@adobe.com
    Clarify additive behavior of transforms on SVG animation.
    Separate SVG Animation chapter from SVG 'transform' chapter.

2012-05-24 dschulze@adobe.com
    Added pseudocode example for using quaternions to get rotation.
    General cleanup of transform interpolation.
    Reorganizing different interpolation sections.

2012-05-10 dschulze@adobe.com
    Use bounding box of referencing elements on patterns, gradients, masks, clipPath upon request of SVG WG.
    Cleanup of SVG section.

2012-05-10 dschulze@adobe.com
    Removed description of units for computed values. According to FX TF meeting this is
    not necessary.
    More cleanup.
    Added more ids for more specific testing.

2012-05-10 dschulze@adobe.com
    Changed initial value of 'transform-origin' to just "50% 50%" upon request of SVG WG.
    Added a note about default value for SVG elements without associated CSS layout box
    afterwards.
    More cleanup on the spec text and spell corrections.

2012-05-08 dschulze@adobe.com
    Added missing image.

2012-05-08 dschulze@adobe.com
    Added section about two dimensional subset of transforms.

2012-04-29 dschulze@adobe.com
    Added more clarification on interpolating transforms.
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=14715
    Added new term "identity transform function".
    Changed Makefile to use ~/.curl-w3.org.

2012-04-29 dschulze@adobe.com
    Clarify horizontal and vertical origin on transform-origin property.
    More style cleanup and corrections.

2012-04-26 dschulze@adobe.com
    More unification of style on example images. 

2012-04-26 dschulze@adobe.com
    Moved all example images into examples folder. Unify style of example images.

2012-04-26 dschulze@adobe.com
    Move section about SVG transform behind properties to keep reading fluency.
    
2012-04-25 dschulze@adobe.com
    Allow SVG data types on all new introduced SVG presentation attributes.

2012-04-25 dschulze@adobe.com
    Updated examples for translation on SVG.

2012-04-25 dschulze@adobe.com
    Added example on how to apply 'transform-origin'.

2012-04-25 dschulze@adobe.com
    Update "Status of this document" to use FX TF template.

2012-04-23 dschulze@adobe.com
    CSS Transforms will not influence computed layout.
    http://lists.w3.org/Archives/Public/public-fx/2012AprJun/0023.html

2012-04-20 dschulze@adobe.com
    Added script for testing information on the specification document.

2012-03-27 simon.fraser@apple.com
    Added links to the obsolete 2D and 3D transform working drafts, and the previous Working Draft to the Previous Versions list.
    Removed the note in the Status section, replacing it with brief text noting that it replaces the other drafts.
    Did a first cut at the CSS Values and Module Interaction sections.

2012-03-21 dschulze@adobe.com
    Moved image into example directory.

2012-03-21 dschulze@adobe.com
    Added an example image for SVG and translate function.

2012-03-19 dschulze@adobe.com
    Renamed 'Transform Values and Lists' to 'The Transform Function Lists' and separated content more
    from 'The Transform Functions'.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=16407

2012-03-19 ayg@aryeh.name
    More details for definition of perspective
    Original patch by Tav.
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=16327.

2012-03-19 ayg@aryeh.name
    Better definition for backface-visibility
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=16349.

2012-03-16 dschulze@adobe.com
    Transform functions can be separated by optional whitespace. This matches behavior of all
    browsers on CSS Transforms as well as SVG Transforms.

2012-03-16 dschulze@adobe.com
    Rename transformation function to transform function to match general pattern.

2012-03-16 dschulze@adobe.com
    Removed definition of 'attributeType' since it is out of scope for CSS3 Transforms.
    Rephrased a sentence about animating the presentation attribute style, it should be the property.
    Added further description how to parse attributes from 'animateTransform'.
    Renamed 'Mathematical Description of Transformation Functions' to 'Mathematical Description of Transform Functions'
    to match the general pattern in the spec. A general agreement of the editors.
    Clarified when 'matrix' from SVGDOM should return SVGMatrix on not supported transform function after
    request on www-svg.
    http://lists.w3.org/Archives/Public/www-svg/2012Mar/0035.html
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=16375
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=16376

2012-03-16 dschulze@adobe.com
    Removed skew() transformation function after request on public-fx.
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=16300

2012-03-15 ayg@aryeh.name
    Define effect of transforms on root element's background
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15834.

2012-03-15 ayg@aryeh.name
    Ensure table-related elements are transformable
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=16326.

2012-03-15 dschulze@adobe.com
    Correction: SVG attributes are not in the SVG namespace.

2012-03-14 ayg@aryeh.name
    Typo: "affect" -> "effect"

2012-03-14 ayg@aryeh.name
    Specify behavior for fixed backgrounds
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15833.

2012-03-14 dschulze@adobe.com
    Fixed more typos in the SVG 'transform' attribute section.

2012-03-14 ayg@aryeh.name
    Explain the definition of backface-visibility

2012-03-13 dschulze@adobe.com
    Fixed typos in the SVG 'transform' attribute section.

2012-03-13 ayg@aryeh.name
    Typo fixes

2012-03-12 ayg@aryeh.name
    Make computed value of 'transform' "As specified" again
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15431,
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=15535, and
    https://www.w3.org/Bugs/Public/show_bug.cgi?id=15797.

2012-03-12 ayg@aryeh.name
    Hyperlink all instances of "bounding box"

2012-03-12 ayg@aryeh.name
    Define rotate[XYZ] in terms of rotate3d
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15612.

2012-03-12 ayg@aryeh.name
    Nonpositive lengths for 'perspective' should be invalid
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=16183.

2012-03-12 ayg@aryeh.name
    Make perspective-origin syntax match transform-origin
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=16064.

2012-03-12 ayg@aryeh.name
    Clarify that everything is relative to table wrapper box
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15815.

2012-03-12 ayg@aryeh.name
    Fix computed values of perspective and perspective-origin
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15681.

2012-03-12 ayg@aryeh.name
    Fix resolved values of transform-origin and perspective-origin
    Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15433 and partially fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15681.

2012-03-12 ayg@aryeh.name
    Hyperlink two CSS2.1 definitions

2012-03-07 ayg@aryeh.name
    Resolve ambiguity in transform-origin syntax.
    As resolved in bug: https://www.w3.org/Bugs/Public/show_bug.cgi?id=15432

2012-03-06 simon.fraser@apple.com
    Fix typo.
    
2012-03-06 simon.fraser@apple.com
    Make intersection behavior required, per resolution. Fixes https://www.w3.org/Bugs/Public/show_bug.cgi?id=15784.
    Other minor wording changes.

2012-03-06 simon.fraser@apple.com
    Remove the term 'depth' from the perspective() definition: https://www.w3.org/Bugs/Public/show_bug.cgi?id=15782

2012-02-25 dschulze@adobe.com
    Cleanup style of document to match CSS3 background and CSS3 images.
    Fixed typos.

2012-02-25 dschulze@adobe.com
    Cleanup SVG related texts, corrected typos.
    Added description of SVG DOM changes according to resolutions of SVG WG.

2012-02-24 dschulze@adobe.com
    Removed 2 optional arguments for rotate from the 2D transformation function, re-added it for the SVG 'transform' attribute
      with the note that UAs are just required to support it for SVG.
    Added the SVG transform syntax that was already accepted by the SVG WG.
    Added a section how to extend SVG animation to support CSS transforms.
    Added a section how 3D transformation functions affect SVG elements.
    Described the behavior of percentage values on transformation functions and transform-origin for SVG.
    Described how CSS transform property affects 'gradientTransform' and 'patternTransform'.
    Specified that all new introduced properties get presentation attributes beside 'transform' for SVG.

2012-02-22 simon.fraser@apple.com
    Fix more validation issues.

2012-02-22 simon.fraser@apple.com
    Fix some validation issues.

2012-02-21 simon.fraser@apple.com
    Add a link to #perspective-function

2012-02-13 dschulze@adobe.com
    Corrected mistake in the rotate3d matrix.
    Changed wording in introduction to match SVG and HTML.
    Use capital letters on main headlines for nouns.
    Fixed typos.

2012-02-12 dschulze@adobe.com
    Merged CSSMatrix from current spec with CSS 3D Transforms.
    Added function 'isAffineTransform' that returns 'true' if the matrix doesn't have any 3D components.
    CSSMatrix is always a 4x4 matrix now.
    Removed all wordings about 3x2 matrices with the exception of the matrix() function.
    (https://www.w3.org/Bugs/Public/show_bug.cgi?id=15959)
    Back ported CSSTransformValue interface from CSS 3D Transforms.

2012-02-12 dschulze@adobe.com
    Added section "Mathematical description of transformation functions".
    Link all transformation function descriptions to intern mathematical section instead of SVG.
    Corrected typos.

2012-02-10 dschulze@adobe.com
    Backported 3D decomposing code from FX Transforms.
    Backported "Transitions and animations between transform values" from CSS 3D Transforms.
    Added 'skew' to the list of transformation functions for transitions and animations.
    Replaced bogus link to C file by an internal link to decomposing code.

2012-02-09 dschulze@adobe.com
    Introduce new term 'bounding box'.
    Specify transform origin for SVG elements.
    Change float to double for CSSOM.
    Added two optional offset arguments for rotate().
    Changed Z argument type to <length> in translateZ() and translate3d().
    Removed link from translateZ() to SVG (was 2D translate).
    Removed solved issues.

2012-02-07 simon.fraser@apple.com
    Removed Vincent Hardy from authors list at his request.
    Added links to the sections describing how to compute the transform and perspective matrices.

2012-02-01 simon.fraser@apple.com
    Fix the definition of skew(): https://www.w3.org/Bugs/Public/show_bug.cgi?id=15537

2012-01-31 simon.fraser@apple.com
    Add a definition for skew(x, y), fixing https://www.w3.org/Bugs/Public/show_bug.cgi?id=15537
    
2012-01-29 simon.fraser@apple.com
    Remove the issue-marker style that was no longer used.
    Fix a couple of typos.
    
2012-01-29 simon.fraser@apple.com
    Add text describing what the reverse side of an element looks like.
    Add more explicit description of how to compute backface visibility.

2012-01-29 simon.fraser@apple.com
    The 3D rendering model section is mostly done. Moved some examples
    around. Cleaned up the perspective() definition.
    
2012-01-29 simon.fraser@apple.com
    Use classnames from default.css rather than home-grown styles.
    Use dfn.
    More work on the 3D rendering context section.

2012-01-29 simon.fraser@apple.com
    Add more examples, with source files, to the 3D Rendering Context section.
    
2012-01-29 simon.fraser@apple.com
    Minor edits in various places.
    Made the issue-markers float:left and clear:both, so they don't overlap.
    Fix missing 'the': https://www.w3.org/Bugs/Public/show_bug.cgi?id=15757

2012-01-27 simon.fraser@apple.com
    Add in 3D transform functions in their own section.
    Move the basic 2D rendering examples up into the rendering model section.

2012-01-27 simon.fraser@apple.com
    Style and formatting changes, since the default style is more readable.
    Removed the Changes section, since the autogenerated content instead links to a separate ChangeLog file (this file).
